## Apache Zeta Components Manual :: Docs For Class ezcTestRegressionSuite

### UnitTest::ezcTestRegressionSuite

### Class ezcTestRegressionSuite

Source for this file: /UnitTest/src/regression_suite.php

    PHPUnit_Framework_TestSuite
       |
       --ezcTestRegressionSuite

### Method Summary

public ezcTestRegressionSuite | `__construct( [ $theClass = ''] , [ $name = ''] )`
public void | `addRegressionTestFile( $file , $mainTest )`

### Methods

#### __construct

ezcTestRegressionSuite __construct( [ $theClass = ''] , [ $name = ''] )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$theClass` |  |
`$name` |  |

#### addRegressionTestFile

void addRegressionTestFile( $file , $mainTest )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` |  |
`$mainTest` |  |

Documentation generated by phpDocumentor 1.4.3